%define upstream_name    DBIx-Class-Candy
%define upstream_version 0.005002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create sugar for your favorite ORM, DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBIx::Class) >= 0.81.230
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Lingua::EN::Inflect)
BuildRequires: perl(MRO::Compat) >= 0.110.0
BuildRequires: perl(String::CamelCase)
BuildRequires: perl(Sub::Exporter) >= 0.982.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::clean) >= 0.180.0
BuildArch:  noarch

%description
'DBIx::Class::Candy' is a simple sugar layer for definition of the
DBIx::Class manpage results. Note that it may later be expanded to add
sugar for more 'DBIx::Class' related things. By default
'DBIx::Class::Candy':

* *

  turns on strict and warnings

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 0.5.2-1.mga6
+ Revision: 1010578
- update to 0.005002

* Thu Apr 28 2016 shlomif <shlomif> 0.5.1-1.mga6
+ Revision: 1007477
- update to 0.005001

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 969066
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 861307
- update to 0.005000

* Mon Jul 06 2015 sander85 <sander85> 0.4.1-1.mga6
+ Revision: 851947
- update to 0.004001

* Wed Oct 15 2014 umeabot <umeabot> 0.2.105-3.mga5
+ Revision: 743548
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.2.105-1.mga5
+ Revision: 614661
- update to 0.002105

* Sat Oct 19 2013 umeabot <umeabot> 0.2.104-2.mga4
+ Revision: 526852
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.2.104-1.mga4
+ Revision: 438934
- update to 0.002104

* Sun Jan 13 2013 umeabot <umeabot> 0.2.103-2.mga3
+ Revision: 365088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.2.103-1.mga3
+ Revision: 341972
- update to 0.002103

* Wed Aug 29 2012 kharec <kharec> 0.2.101-1.mga3
+ Revision: 285224
- update to 0.002101

* Tue Jun 05 2012 jquelin <jquelin> 0.2.100-1.mga3
+ Revision: 254735
- update to 0.002100
- update to 0.002001

* Fri Mar 11 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 68181
- update buildrequires:
- update to 0.002000

* Tue Mar 08 2011 jquelin <jquelin> 0.1.6-1.mga1
+ Revision: 66605
- update to 0.001006

* Tue Jan 25 2011 jquelin <jquelin> 0.1.5-1.mga1
+ Revision: 38578
- mageia rebuild
- imported package perl-DBIx-Class-Candy

